Subject: Translation support in SelectViewHelper
Description

The SelectViewHelper should offer translation of option labels.

Associated revisions
Revision 305a2790 - 2012-03-19 16:50 - Karsten Dambekalns

[FEATURE] Add translation support to SelectViewHelper

The change adds support for translation of the options labels
produced in SelectViewHelper.

The view helper can be given a "translate" argument with
configuration on how to translate option labels. The array
can have the following keys:

- "by" defines if translation by message id or original
  label is to be used ("id" or "label")
- "using" defines if the option tag's "value" or "label" 
  should be used as translation input, defaults to "value" 
- "locale" defines the locale identifier to use, optional,
  defaults to current locale
- "source" defines the translation source name, optional,
  defaults to "Main" 
- "package" defines the package key of the translation source,
  optional, defaults to current package
- "prefix" optionally defines a prefix to use for the message id

Change-Id: If05bcb282cbabfb1dd69d6c1f4d804726d541de6
Resolves: #34232
Releases: 1.1

History
#1 - 2012-03-15 16:13 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9672

#2 - 2012-03-19 16:37 - Gerrit Code Review
Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9672

#3 - 2012-03-19 16:50 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9672

#4 - 2012-03-20 02:38 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:305a27906f98555133b6728ba5b4633c3499d5cd.
